# stdex: stdex::parser::basic_cu_set< T > Class Template Reference

Loading...
Searching...
No Matches
stdex::parser::basic_cu_set< T > Class Template Reference

Test for any code unit from a given string of code units. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_cu_set< T >:

## Public Member Functions

| basic_cu_set (_In_reads_or_z_(count) const T *set, size_t count=(size_t) -1, bool invert=false, const std::locale &locale=std::locale())
virtual bool | match (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)
Public Member Functions inherited from stdex::parser::basic_set< T >
| basic_set (bool invert=false, const std::locale &locale=std::locale())
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)
template<class _Traits , class _Ax >
bool | match (const std::basic_string< T, _Traits, _Ax > &text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)

## Protected Attributes

std::basic_string< T > | m_set
Protected Attributes inherited from stdex::parser::basic_set< T >
bool | m_invert
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Additional Inherited Members

Public Attributes inherited from stdex::parser::basic_set< T >
size_t | hit_offset
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Detailed Description

template<class T>
class stdex::parser::basic_cu_set< T >

Test for any code unit from a given string of code units.

## Member Function Documentation

## match()

template<class T >

virtual bool stdex::parser::basic_cu_set< T >::match | ( | _In_reads_or_z_(end) const T * | text,
|  | size_t | start = `0`,
|  | size_t | end = `(size_t)-1`,
|  | int | flags = `match_default`
| ) |  |

inlinevirtual

Implements stdex::parser::basic_set< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp